Author Alexandru.Moșoi
Recipients Alexandru.Moșoi
Date 2011-01-05.18:27:04
SpamBayes Score 1.77636e-15
Marked as misclassified No
Message-id <1294252036.56.0.144119584231.issue10836@psf.upfronthosting.co.za>
In-reply-to
Content
If I try to download a inexistent file I get a TypeError which is thrown during exception handling.

>>> import urllib.request
>>> urllib.request.urlretrieve('missing')
Traceback (most recent call last):
  File "/usr/lib/python3.1/urllib/request.py", line 1705, in open_local_file
    stats = os.stat(localname)
OSError: [Errno 2] No such file or directory: 'missing'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.1/urllib/request.py", line 133, in urlretrieve
    return _urlopener.retrieve(url, filename, reporthook, data)
  File "/usr/lib/python3.1/urllib/request.py", line 1507, in retrieve
    fp = self.open_local_file(url1)
  File "/usr/lib/python3.1/urllib/request.py", line 1707, in open_local_file
    raise URLError(e.errno, e.strerror, e.filename)
TypeError: __init__() takes at most 3 positional arguments (4 given)
History
Date User Action Args
2011-01-05 18:27:16Alexandru.Moșoisetrecipients: + Alexandru.Moșoi
2011-01-05 18:27:16Alexandru.Moșoisetmessageid: <1294252036.56.0.144119584231.issue10836@psf.upfronthosting.co.za>
2011-01-05 18:27:04Alexandru.Moșoilinkissue10836 messages
2011-01-05 18:27:04Alexandru.Moșoicreate